{ lib, config, pkgs, ... }:

{
    environment = {
      systemPackages = with pkgs; [
         klipperscreen
      ];
    };

    services = {
      klipper = {
        enable = true;
	configFile = "./printer.cfg";
	#firmwares."sovol06" = {
	#  serial = "/dev/usb/by-id/123";
	#  enableKlipperFlash = true;
	#  enable = true;
	#  configFile = "./firmware.conf";
	#};
      };

      mainsail = {
        enable = true;
	nginx = {
	  enableACME = true;
	  useACMEHost = "home.opel-online.de";
	  serverName = "sv06.home.opel-online.de";
	  onlySSL = true;
	  listenAddresses = [ "0.0.0.0" "::" ];
	  forceSSL = true;
        };
      };

      moonraker.enable = true;

#      nginx = {
#        enable = true;
#        recommendedProxySettings = true;
#        recommendedTlsSettings = true;
#        recommendedGzipSettings = true;
#        recommendedOptimisation = true;
#        virtualHosts = {
#          "ci.kabtop.de" = {
#            enableACME = true;
#            forceSSL = true;
#            default = true;
#            locations."/".return = "503";
#          };
#          "hydra.ci.kabtop.de" = {
#            enableACME = true;
#            forceSSL = true;
#            locations."/" = {
#              proxyPass = "http://localhost:3000";
#              extraConfig = ''
#                proxy_set_header X-Forwarded-Port 443;
#              '';
#            };
#          };
#          "cache.ci.kabtop.de" = {
#            enableACME = true;
#            forceSSL = true;
#            locations."/".proxyPass = "http://${config.services.nix-serve.bindAddress}:${toString config.services.nix-serve.port}";
#          };
#        };
#      };
#    };
#
#    security.acme = {
#      acceptTerms = true;
#      defaults = {
#        email = "webmaster@kabtop.de";
#        webroot = "/var/lib/acme/acme-challenge";
#        #server = "https://acme-staging-v02.api.letsencrypt.org/directory";
#      };
    };
    
}
